<?php
require_once(getabspath("classes/cipherer.php"));
$tdataRelatorio_Score_Mensal = array();
	$tdataRelatorio_Score_Mensal[".NumberOfChars"] = 80; 
	$tdataRelatorio_Score_Mensal[".ShortName"] = "Relatorio_Score_Mensal";
	$tdataRelatorio_Score_Mensal[".OwnerID"] = "idnucleo";
	$tdataRelatorio_Score_Mensal[".OriginalTable"] = "senuc_score";

//	field labels
$fieldLabelsRelatorio_Score_Mensal = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"] = array();
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"] = array();
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelsRelatorio_Score_Mensal["Portuguese(Brazil)"]["score"] = "Score";
	$fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]["score"] = "";
	if (count($fieldToolTipsRelatorio_Score_Mensal["Portuguese(Brazil)"]))
		$tdataRelatorio_Score_Mensal[".isUseToolTips"] = true;
}
	
	
	$tdataRelatorio_Score_Mensal[".NCSearch"] = true;



$tdataRelatorio_Score_Mensal[".shortTableName"] = "Relatorio_Score_Mensal";
$tdataRelatorio_Score_Mensal[".nSecOptions"] = 1;
$tdataRelatorio_Score_Mensal[".recsPerRowList"] = 1;
$tdataRelatorio_Score_Mensal[".mainTableOwnerID"] = "idnucleo";
$tdataRelatorio_Score_Mensal[".moveNext"] = 1;
$tdataRelatorio_Score_Mensal[".nType"] = 2;

$tdataRelatorio_Score_Mensal[".strOriginalTableName"] = "senuc_score";




$tdataRelatorio_Score_Mensal[".showAddInPopup"] = false;

$tdataRelatorio_Score_Mensal[".showEditInPopup"] = false;

$tdataRelatorio_Score_Mensal[".showViewInPopup"] = false;

$tdataRelatorio_Score_Mensal[".fieldsForRegister"] = array();

$tdataRelatorio_Score_Mensal[".listAjax"] = false;

	$tdataRelatorio_Score_Mensal[".audit"] = false;

	$tdataRelatorio_Score_Mensal[".locking"] = false;

$tdataRelatorio_Score_Mensal[".listIcons"] = true;
$tdataRelatorio_Score_Mensal[".edit"] = true;
$tdataRelatorio_Score_Mensal[".inlineEdit"] = true;
$tdataRelatorio_Score_Mensal[".inlineAdd"] = true;
$tdataRelatorio_Score_Mensal[".view"] = true;

$tdataRelatorio_Score_Mensal[".exportTo"] = true;

$tdataRelatorio_Score_Mensal[".printFriendly"] = true;

$tdataRelatorio_Score_Mensal[".delete"] = true;

$tdataRelatorio_Score_Mensal[".showSimpleSearchOptions"] = false;

$tdataRelatorio_Score_Mensal[".showSearchPanel"] = true;

if (isMobile())
	$tdataRelatorio_Score_Mensal[".isUseAjaxSuggest"] = false;
else 
	$tdataRelatorio_Score_Mensal[".isUseAjaxSuggest"] = true;


// button handlers file names

$tdataRelatorio_Score_Mensal[".addPageEvents"] = false;

// use timepicker for search panel
$tdataRelatorio_Score_Mensal[".isUseTimeForSearch"] = false;




$tdataRelatorio_Score_Mensal[".allSearchFields"] = array();

$tdataRelatorio_Score_Mensal[".allSearchFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".allSearchFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".allSearchFields"][] = "score";

$tdataRelatorio_Score_Mensal[".googleLikeFields"][] = "id";
$tdataRelatorio_Score_Mensal[".googleLikeFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".googleLikeFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".googleLikeFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".googleLikeFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".googleLikeFields"][] = "score";


$tdataRelatorio_Score_Mensal[".advSearchFields"][] = "id";
$tdataRelatorio_Score_Mensal[".advSearchFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".advSearchFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".advSearchFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".advSearchFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".advSearchFields"][] = "score";

$tdataRelatorio_Score_Mensal[".isTableType"] = "report";

$tdataRelatorio_Score_Mensal[".reportGroupFields"] = true;
	



// Access doesn't support subqueries from the same table as main




$tstrOrderBy = "ORDER BY ano DESC, mes DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataRelatorio_Score_Mensal[".strOrderBy"] = $tstrOrderBy;

$tdataRelatorio_Score_Mensal[".orderindexes"] = array();
$tdataRelatorio_Score_Mensal[".orderindexes"][] = array(4, (0 ? "ASC" : "DESC"), "ano");
$tdataRelatorio_Score_Mensal[".orderindexes"][] = array(5, (0 ? "ASC" : "DESC"), "mes");

$tdataRelatorio_Score_Mensal[".sqlHead"] = "SELECT id,  idnucleo,  idregional,  ano,  mes,  score";
$tdataRelatorio_Score_Mensal[".sqlFrom"] = "FROM senuc_score";
$tdataRelatorio_Score_Mensal[".sqlWhereExpr"] = "";
$tdataRelatorio_Score_Mensal[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRelatorio_Score_Mensal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRelatorio_Score_Mensal[".arrGroupsPerPage"] = $arrGPP;

$tableKeysRelatorio_Score_Mensal = array();
$tableKeysRelatorio_Score_Mensal[] = "id";
$tdataRelatorio_Score_Mensal[".Keys"] = $tableKeysRelatorio_Score_Mensal;

$tdataRelatorio_Score_Mensal[".listFields"] = array();
$tdataRelatorio_Score_Mensal[".listFields"][] = "id";
$tdataRelatorio_Score_Mensal[".listFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".listFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".listFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".listFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".listFields"][] = "score";

$tdataRelatorio_Score_Mensal[".viewFields"] = array();
$tdataRelatorio_Score_Mensal[".viewFields"][] = "id";
$tdataRelatorio_Score_Mensal[".viewFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".viewFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".viewFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".viewFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".viewFields"][] = "score";

$tdataRelatorio_Score_Mensal[".addFields"] = array();
$tdataRelatorio_Score_Mensal[".addFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".addFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".addFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".addFields"][] = "score";

$tdataRelatorio_Score_Mensal[".inlineAddFields"] = array();
$tdataRelatorio_Score_Mensal[".inlineAddFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".inlineAddFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".inlineAddFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".inlineAddFields"][] = "score";

$tdataRelatorio_Score_Mensal[".editFields"] = array();
$tdataRelatorio_Score_Mensal[".editFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".editFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".editFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".editFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".editFields"][] = "score";

$tdataRelatorio_Score_Mensal[".inlineEditFields"] = array();
$tdataRelatorio_Score_Mensal[".inlineEditFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".inlineEditFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".inlineEditFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".inlineEditFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".inlineEditFields"][] = "score";

$tdataRelatorio_Score_Mensal[".exportFields"] = array();
$tdataRelatorio_Score_Mensal[".exportFields"][] = "id";
$tdataRelatorio_Score_Mensal[".exportFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".exportFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".exportFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".exportFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".exportFields"][] = "score";

$tdataRelatorio_Score_Mensal[".printFields"] = array();
$tdataRelatorio_Score_Mensal[".printFields"][] = "id";
$tdataRelatorio_Score_Mensal[".printFields"][] = "idnucleo";
$tdataRelatorio_Score_Mensal[".printFields"][] = "idregional";
$tdataRelatorio_Score_Mensal[".printFields"][] = "ano";
$tdataRelatorio_Score_Mensal[".printFields"][] = "mes";
$tdataRelatorio_Score_Mensal[".printFields"][] = "score";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Score_Mensal["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Score_Mensal["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Score_Mensal["idregional"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Score_Mensal["ano"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Score_Mensal["mes"] = $fdata;
//	score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "score";
	$fdata["GoodName"] = "score";
	$fdata["ownerTable"] = "senuc_score";
	$fdata["Label"] = "Score"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "score"; 
		$fdata["FullName"] = "score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
		
		$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataRelatorio_Score_Mensal["score"] = $fdata;

	
$tables_data["Relatorio_Score_Mensal"]=&$tdataRelatorio_Score_Mensal;
$field_labels["Relatorio_Score_Mensal"] = &$fieldLabelsRelatorio_Score_Mensal;
$fieldToolTips["Relatorio_Score_Mensal"] = &$fieldToolTipsRelatorio_Score_Mensal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Relatorio_Score_Mensal"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["Relatorio_Score_Mensal"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_Relatorio_Score_Mensal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  idnucleo,  idregional,  ano,  mes,  score";
$proto0["m_strFrom"] = "FROM senuc_score";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ano DESC, mes DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_score"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_score"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_score"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "score",
	"m_strTable" => "senuc_score"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto17=array();
$proto17["m_link"] = "SQLL_MAIN";
			$proto18=array();
$proto18["m_strName"] = "senuc_score";
$proto18["m_columns"] = array();
$proto18["m_columns"][] = "id";
$proto18["m_columns"][] = "idnucleo";
$proto18["m_columns"][] = "idregional";
$proto18["m_columns"][] = "tipo_nucleo";
$proto18["m_columns"][] = "ano";
$proto18["m_columns"][] = "mes";
$proto18["m_columns"][] = "coordenadores";
$proto18["m_columns"][] = "professores";
$proto18["m_columns"][] = "alunos";
$proto18["m_columns"][] = "meta_alunos";
$proto18["m_columns"][] = "dias_funcionamento";
$proto18["m_columns"][] = "meta_funcionamento";
$proto18["m_columns"][] = "alunos_por_coordenador";
$proto18["m_columns"][] = "meta_alunos_por_coordenador";
$proto18["m_columns"][] = "freq_media_coordenador";
$proto18["m_columns"][] = "min_freq_coordenador";
$proto18["m_columns"][] = "freq_media_aluno";
$proto18["m_columns"][] = "min_freq_aluno";
$proto18["m_columns"][] = "freq_media_professor";
$proto18["m_columns"][] = "min_freq_professor";
$proto18["m_columns"][] = "meta_atividades";
$proto18["m_columns"][] = "atividades_elaboradas";
$proto18["m_columns"][] = "atividades_realizadas";
$proto18["m_columns"][] = "score";
$proto18["m_columns"][] = "operador";
$proto18["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto18);

$proto17["m_table"] = $obj;
$proto17["m_alias"] = "";
$proto19=array();
$proto19["m_sql"] = "";
$proto19["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto19["m_column"]=$obj;
$proto19["m_contained"] = array();
$proto19["m_strCase"] = "";
$proto19["m_havingmode"] = "0";
$proto19["m_inBrackets"] = "0";
$proto19["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto19);

$proto17["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto17);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto21=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score"
));

$proto21["m_column"]=$obj;
$proto21["m_bAsc"] = 0;
$proto21["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto21);

$proto0["m_orderby"][]=$obj;					
												$proto23=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score"
));

$proto23["m_column"]=$obj;
$proto23["m_bAsc"] = 0;
$proto23["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto23);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_Relatorio_Score_Mensal = createSqlQuery_Relatorio_Score_Mensal();
						$tdataRelatorio_Score_Mensal[".sqlquery"] = $queryData_Relatorio_Score_Mensal;
	
if(isset($tdataRelatorio_Score_Mensal["field2"])){
	$tdataRelatorio_Score_Mensal["field2"]["LookupTable"] = "carscars_view";
	$tdataRelatorio_Score_Mensal["field2"]["LookupOrderBy"] = "name";
	$tdataRelatorio_Score_Mensal["field2"]["LookupType"] = 4;
	$tdataRelatorio_Score_Mensal["field2"]["LinkField"] = "email";
	$tdataRelatorio_Score_Mensal["field2"]["DisplayField"] = "name";
	$tdataRelatorio_Score_Mensal[".hasCustomViewField"] = true;
}

$tableEvents["Relatorio_Score_Mensal"] = new eventsBase;
$tdataRelatorio_Score_Mensal[".hasEvents"] = false;

$cipherer = new RunnerCipherer("Relatorio_Score_Mensal");

?>